GNU bug report logs - #39413
26.2; Emacs gets hung

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>; Keywords: unreproducible; dated Tue, 4 Feb 2020 12:39:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) unreproducible. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39413 <at> debbugs.gnu.org:


Received: (at 39413) by debbugs.gnu.org; 21 Feb 2020 17:27:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 12:27:35 2020
Received: from localhost ([127.0.0.1]:48026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5C5O-0002Hq-Ui
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 12:27:35 -0500
Received: from mail-qk1-f173.google.com ([209.85.222.173]:33934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1j5C5M-0002HG-Cn; Fri, 21 Feb 2020 12:27:33 -0500
Received: by mail-qk1-f173.google.com with SMTP id c20so2548627qkm.1;
 Fri, 21 Feb 2020 09:27:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=x59Qasl8a1fYpAlioxMJcQ/XSOi0YIbJtmDOybdw5/A=;
 b=Yu3oPKVK9O7VUdJztcaWuEmWhmJ7ott4/RkpN32fUpfM13y5nFbz9+v0fLMPzDvhmk
 zGZ2/iV27kf2UeRqs8IwdE875P0zIQqxWGnUN/KObUozrGtUM+YwAv09eRYJ/1dClBb8
 glKhlijSWLkALe2lgVckPBWKi57QcMtn5AcCKK4nLXGre/GoxR68pSzynywf7DnYSmVn
 elCFR103CXUqJFar7j857211AU7WGL0KeYyrlCV67c47PqvbjrxU2YNbaX0VrAJhiUzf
 QLgOjVvO9gQ5YdhmSzNVe+uOmIN4GLIGGoCnO1fnlx3M8JqcDZ+bxkHHbPAn9Cn0U/39
 ycwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=x59Qasl8a1fYpAlioxMJcQ/XSOi0YIbJtmDOybdw5/A=;
 b=d3thQJJMp7W2uZxOTWZY8RyhnLQdE9LBUZtzNnabXStEmoWnBWq2r1UUyTuug8Iiqy
 Eg3pFRhZ/p14osBYbfLaPM+voqTB5Z//5AWajLntHveF46/LugX+LM2C+LgBr+IkuHeo
 9M20HFpcTU6eHMzScm9qcLg1W7vEwVw9X/n3ZaPDNsvx71OTEr/lCzOSHUpdPeDlcX2Z
 Eh04h8XjftYfsHLFJ7Kfwlis/7OTPtbTuSSYlwlDmcvzuSkIqlyZnDJoJ1Vv4OsYKucW
 Prj1sA23w5cTRbKgxmBXWiR+9lLnUreyscacDTJv/VYmoYso/illAWVRGuKIuWz48zYo
 /iSQ==
X-Gm-Message-State: APjAAAVV2oYwjqID6rEfGsnTybTp0eFpOTu1CI27o5wIG0qg1e10KU14
 hxTY42h9clySEZnTn3qX5n5gjIUZfkU=
X-Google-Smtp-Source: APXvYqyXA3jfqP1B+lePBA5N5QiJsAkgo+v67zUMry/kWaBmE7A4RKIR7zAXpX7PNh+nZZrKUvTb1w==
X-Received: by 2002:a05:620a:42:: with SMTP id t2mr4565980qkt.45.1582306046722; 
 Fri, 21 Feb 2020 09:27:26 -0800 (PST)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id 132sm1814819qkn.109.2020.02.21.09.27.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 21 Feb 2020 09:27:26 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>
Subject: Re: bug#39413: 26.2; Emacs gets hung
References: <bc05da68-21a1-894f-fcfa-a13bf0ef67fb@HIDDEN>
Date: Fri, 21 Feb 2020 12:27:26 -0500
In-Reply-To: <bc05da68-21a1-894f-fcfa-a13bf0ef67fb@HIDDEN>
 (chiaki-ishikawa-thunderbird-account's message of "Tue, 4 Feb 2020
 18:32:30 +0900")
Message-ID: <85r1ynam0x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39413
Cc: 39413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 39413 + unreproducible
quit

chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN> writes:

> I printed stack backtrace and Emacs seemed to be in memory allocator.
> Then I let it continue.
> Still the emacs screen was locked up.
> So I interrupted the execution, and printed stack backtrace.
> Again Emacs was in memory allocator.
> Eventually I gave up and killed emacs.
>
> It seems that garbage collection or
> routine in alloc.c was looping.

That's not enough evidence to show that the garbage collection was
looping.  There could be some higher level loop that does a lot of
allocation, so that if you stop at some random point you would have a
high probability of stopping in the alloc.c.  If you catch this in gdb
again, try running the 'finish' a few times to see if it can leave the
alloc.c code.

> This is not a repeatable bug. I have no idea how to reproduce this. It
> occurs every now and then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39413; Package emacs. Full text available.

Message received at 39413 <at> debbugs.gnu.org:


Received: (at 39413) by debbugs.gnu.org; 5 Feb 2020 02:15:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 04 21:15:44 2020
Received: from localhost ([127.0.0.1]:45009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1izAEB-0002z2-87
	for submit <at> debbugs.gnu.org; Tue, 04 Feb 2020 21:15:44 -0500
Received: from mail01.siriuscloud.jp ([219.118.72.1]:46813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chiaki.ishikawa@HIDDEN>) id 1iz9EU-0001PG-Pv
 for 39413 <at> debbugs.gnu.org; Tue, 04 Feb 2020 20:12:00 -0500
Received: from [192.168.0.5] (M106073032161.v4.enabler.ne.jp [106.73.32.161])
 (Authenticated sender: ishikawa@HIDDEN)
 by access01.SiriusCloud.jp (Postfix) with ESMTPA id 48C3SD3465z4P1WjW;
 Wed,  5 Feb 2020 10:11:56 +0900 (JST)
Authentication-Results: access01.SiriusCloud.jp; dkim=none
 reason="no signature"; dkim-adsp=none (unprotected policy);
 dkim-atps=neutral
Subject: Re: bug#39413: 26.2; Emacs gets hung
To: Eli Zaretskii <eliz@HIDDEN>
References: <bc05da68-21a1-894f-fcfa-a13bf0ef67fb@HIDDEN>
 <83lfpigyej.fsf@HIDDEN>
From: chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>
Message-ID: <5000d327-11da-d719-7372-b01d886beb20@HIDDEN>
Date: Wed, 5 Feb 2020 10:11:56 +0900
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.2
MIME-Version: 1.0
In-Reply-To: <83lfpigyej.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 39413
X-Mailman-Approved-At: Tue, 04 Feb 2020 21:15:41 -0500
Cc: chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>,
 39413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

On 2020/02/05 0:33, Eli Zaretskii wrote:
>> From: chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>
>> Date: Tue, 4 Feb 2020 18:32:30 +0900
>>
>> I have been using emacs-26.2 for a while and noticed
>> a few lockups for the last few months.
>>
>> I had not seen emacs lockups for quite a while (I have used GNU Emacs
>> since 1[678] days.)
>>
>> The recent lockup occurred just yesterday while I was editing C++
>> source files. I was about to enter (or have entered) the second '/' to
>> start a comment and then '/' is not echoed back and emacs locked up.
> Please try the latest emacs-27 branch of the Emacs Git repository, it
> is quite possible that this problem was fixed there.  If not, we will
> appreciate a minimal example of a file and sequence of commands to
> type in order to reproduce the problem.
>
> Thanks.
>
Thank you for your reply.

As I mentioned it seemed to be related to garbage collection and is hard 
to reproduce.

I cannot say when the bug hits exactly. So far it seemed random and not 
everyday matter.

I will try emacs-27 instead.

Thank you again.

Happy Hacking (in the original good sense of the phrase).

Chiaki Ishikawa






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39413; Package emacs. Full text available.

Message received at 39413 <at> debbugs.gnu.org:


Received: (at 39413) by debbugs.gnu.org; 4 Feb 2020 15:33:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 04 10:33:57 2020
Received: from localhost ([127.0.0.1]:44588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iz0D7-0002d2-82
	for submit <at> debbugs.gnu.org; Tue, 04 Feb 2020 10:33:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iz0D6-0002cp-Ky
 for 39413 <at> debbugs.gnu.org; Tue, 04 Feb 2020 10:33:56 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60361)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iz0D0-0005OA-M0; Tue, 04 Feb 2020 10:33:51 -0500
Received: from [176.228.60.248] (port=4093 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iz0Cy-0007rm-0z; Tue, 04 Feb 2020 10:33:50 -0500
Date: Tue, 04 Feb 2020 17:33:40 +0200
Message-Id: <83lfpigyej.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>
In-reply-to: <bc05da68-21a1-894f-fcfa-a13bf0ef67fb@HIDDEN> (message from
 chiaki-ishikawa-thunderbird-account on Tue, 4 Feb 2020 18:32:30 +0900)
Subject: Re: bug#39413: 26.2; Emacs gets hung
References: <bc05da68-21a1-894f-fcfa-a13bf0ef67fb@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39413
Cc: 39413 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>
> Date: Tue, 4 Feb 2020 18:32:30 +0900
> 
> I have been using emacs-26.2 for a while and noticed
> a few lockups for the last few months.
> 
> I had not seen emacs lockups for quite a while (I have used GNU Emacs
> since 1[678] days.)
> 
> The recent lockup occurred just yesterday while I was editing C++
> source files. I was about to enter (or have entered) the second '/' to
> start a comment and then '/' is not echoed back and emacs locked up.

Please try the latest emacs-27 branch of the Emacs Git repository, it
is quite possible that this problem was fixed there.  If not, we will
appreciate a minimal example of a file and sequence of commands to
type in order to reproduce the problem.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39413; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Feb 2020 12:38:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 04 07:38:20 2020
Received: from localhost ([127.0.0.1]:42743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iyxT9-0006Ci-Rl
	for submit <at> debbugs.gnu.org; Tue, 04 Feb 2020 07:38:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:43001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chiaki.ishikawa@HIDDEN>) id 1iyuZZ-0008En-M8
 for submit <at> debbugs.gnu.org; Tue, 04 Feb 2020 04:32:46 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42454)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <chiaki.ishikawa@HIDDEN>) id 1iyuZW-0004is-1B
 for bug-gnu-emacs@HIDDEN; Tue, 04 Feb 2020 04:32:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <chiaki.ishikawa@HIDDEN>) id 1iyuZS-0003sQ-4c
 for bug-gnu-emacs@HIDDEN; Tue, 04 Feb 2020 04:32:41 -0500
Received: from mail05.siriuscloud.jp ([219.118.72.5]:40181)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <chiaki.ishikawa@HIDDEN>) id 1iyuZQ-0003ge-3k
 for bug-gnu-emacs@HIDDEN; Tue, 04 Feb 2020 04:32:37 -0500
Received: from [192.168.0.5] (M106073032161.v4.enabler.ne.jp [106.73.32.161])
 (Authenticated sender: ishikawa@HIDDEN)
 by access05.SiriusCloud.jp (Postfix) with ESMTPA id 48BfcG6jppz1XQ3WM
 for <bug-gnu-emacs@HIDDEN>; Tue,  4 Feb 2020 18:32:30 +0900 (JST)
Authentication-Results: access05.SiriusCloud.jp; dkim=none
 reason="no signature"; dkim-adsp=none (unprotected policy);
 dkim-atps=neutral
To: bug-gnu-emacs@HIDDEN
From: chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>
Subject: 26.2; Emacs gets hung
Message-ID: <bc05da68-21a1-894f-fcfa-a13bf0ef67fb@HIDDEN>
Date: Tue, 4 Feb 2020 18:32:30 +0900
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.2
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 219.118.72.5
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 04 Feb 2020 07:38:18 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Hi,

I have been using emacs-26.2 for a while and noticed
a few lockups for the last few months.

I had not seen emacs lockups for quite a while (I have used GNU Emacs
since 1[678] days.)

The recent lockup occurred just yesterday while I was editing C++
source files. I was about to enter (or have entered) the second '/' to
start a comment and then '/' is not echoed back and emacs locked up.

I had experienced a few lockups in the last few months and had to kill
the running emacs process.

This time instead of simply killing emacs, I tried to monitor what was
going on.

Interestingly, there was no system call being issued. I checked the
output of strace -p PID-OF-EMACS-PROCESS.
So I suspect a pure looping inside Emacs.

Then I quite strace and attached gdb to the running process.

I attach the log from the gdb at the end.

Short analysis from the log.:
I printed stack backtrace and Emacs seemed to be in memory allocator.
Then I let it continue.
Still the emacs screen was locked up.
So I interrupted the execution, and printed stack backtrace.
Again Emacs was in memory allocator.
Eventually I gave up and killed emacs.

It seems that garbage collection or
routine in alloc.c was looping.

Has there been a change in alloc.c in the last few minor revisions?
(It now seems to that a routine or two in it take FOREVER, I mean
unreasonably LOOOONG time to return. Maybe the algorithm used was
changed to an inefficient one. In the past few months, noticed a few
cases where I thought Emacs locked up but then it began responsive
after a VERY LONG pause.=C2=A0 So yesterday I waited for a while to see i=
f
Emacs would become responsive. No, it did not after almost a minute
passed.=C2=A0 It could be that the modification is inefficient in the sen=
se
that it is NOT very virtual memory friendly and causes extreme
paging/thrashing during garbage collection, etc.
I noticed a very slow response from Emacs after I stayed away from it
doing other things. Just my wild guess.)

Anyway, I am upgrading to 26.3 now to see if it is fixed.

This is not a repeatable bug. I have no idea how to reproduce this. It
occurs every now and then.

However, as I mentioned, I have never seen Emacs locking up like this=20
before.


TIA

Chiaki


Log:

gdb -p 237890 ~/repos/emacs-26.2/src/emacs
GNU gdb (Debian 8.3.1-1) 8.3.1
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later=20
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
 =C2=A0=C2=A0=C2=A0 <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /home/ishikawa/repos/emacs-26.2/src/emacs...
Attaching to program: /home/ishikawa/repos/emacs-26.2/src/emacs, process=20
237890
[New LWP 237893]
[New LWP 237894]
[New LWP 237895]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1"=
.
0x00000000005490be in lisp_align_free (block=3D<optimized out>) at=20
alloc.c:1379
1379=C2=A0=C2=A0=C2=A0 =C2=A0=C2=A0=C2=A0 =C2=A0 if (*tem >=3D (struct ab=
lock *) abase && *tem < atop)
(gdb) where
#0=C2=A0 0x00000000005490be in lisp_align_free (block=3D<optimized out>) =
at=20
alloc.c:1379
#1=C2=A0 0x0000000000549255 in sweep_conses () at alloc.c:6873
#2=C2=A0 0x000000000054cc66 in gc_sweep () at alloc.c:7157
#3=C2=A0 0x000000000054cc66 in garbage_collect_1 (end=3D<optimized out>) =
at=20
alloc.c:6027
#4=C2=A0 0x000000000054cc66 in Fgarbage_collect () at alloc.c:6159
#5=C2=A0 0x00000000005650c9 in maybe_gc () at lisp.h:4744
#6=C2=A0 0x00000000005650c9 in Ffuncall (nargs=3Dnargs@entry=3D2,=20
args=3Dargs@entry=3D0x7ffcbd1a00d0) at eval.c:2758
#7=C2=A0 0x0000000000564652 in internal_condition_case_n (bfun=3D
 =C2=A0=C2=A0=C2=A0 0x565030 <Ffuncall>, nargs=3Dnargs@entry=3D2,=20
args=3Dargs@entry=3D0x7ffcbd1a00d0, handlers=3Dhandlers@entry=3D49344,=20
hfun=3Dhfun@entry=3D0x43d4b0 <safe_eval_handler>) at eval.c:1416
#8=C2=A0 0x000000000042e7c9 in safe__call
 =C2=A0=C2=A0=C2=A0 (inhibit_quit=3Dinhibit_quit@entry=3Dtrue, nargs=3Dna=
rgs@entry=3D2,=20
func=3Dfunc@entry=3D21408, ap=3Dap@entry=3D0x7ffcbd1a0148)
 =C2=A0=C2=A0=C2=A0 at lisp.h:855
#9=C2=A0 0x000000000042e913 in safe__call1=20
(inhibit_quit=3Dinhibit_quit@entry=3Dtrue, fn=3Dfn@entry=3D21408) at xdis=
p.c:2683
#10 0x000000000044a7f4 in safe__eval (sexpr=3D<optimized out>,=20
inhibit_quit=3Dtrue) at lisp.h:855
#11 0x000000000044a7f4 in display_mode_element=20
(it=3Dit@entry=3D0x7ffcbd1a0400, depth=3D3,
 =C2=A0=C2=A0=C2=A0 depth@entry=3D1, field_width=3D0, precision=3Dprecisi=
on@entry=3D0,=20
elt=3D14558051, props=3Dprops@entry=3D0, risky=3Dfalse)
 =C2=A0=C2=A0=C2=A0 at xdisp.c:23845
#12 0x000000000044a963 in display_mode_element=20
(it=3Dit@entry=3D0x7ffcbd1a0400, depth=3D1,
 =C2=A0=C2=A0=C2=A0 depth@entry=3D0, field_width=3Dfield_width@entry=3D0,=
=20
precision=3Dprecision@entry=3D0, elt=3D<optimized out>,
 =C2=A0=C2=A0=C2=A0 elt@entry=3D14644067, props=3Dprops@entry=3D0, risky=3D=
<optimized out>) at=20
lisp.h:1221
#13 0x000000000044b9f6 in display_mode_line (w=3Dw@entry=3D0x7a044200,=20
face_id=3DMODE_LINE_FACE_ID, format=3D14644067)
 =C2=A0=C2=A0=C2=A0 at lisp.h:855
--Type <RET> for more, q to quit, c to continue without paging--
#14 0x000000000044bc29 in display_mode_lines (w=3Dw@entry=3D0x7a044200) a=
t=20
lisp.h:634
#15 0x000000000046335a in redisplay_window (window=3D2047099397,=20
just_this_one_p=3Djust_this_one_p@entry=3Dfalse)
 =C2=A0=C2=A0=C2=A0 at xdisp.c:17547
#16 0x000000000046779b in redisplay_window_0=20
(window=3Dwindow@entry=3D2047099397) at xdisp.c:14926
#17 0x0000000000564516 in internal_condition_case_1
 =C2=A0=C2=A0=C2=A0 (bfun=3Dbfun@entry=3D0x467770 <redisplay_window_0>, a=
rg=3D2047099397,=20
handlers=3D<optimized out>, hfun=3Dhfun@entry=3D0x42d130=20
<redisplay_window_error>) at eval.c:1360
#18 0x0000000000431cd2 in redisplay_windows (window=3D2047099397) at=20
xdisp.c:14906
#19 0x0000000000454bfd in redisplay_internal () at xdisp.c:14395
#20 0x00000000004569f5 in redisplay () at xdisp.c:13613
#21 0x00000000004fa7cf in read_char
 =C2=A0=C2=A0=C2=A0 (commandflag=3Dcommandflag@entry=3D1, map=3Dmap@entry=
=3D1955211187,=20
prev_event=3D0, used_mouse_menu=3Dused_mouse_menu@entry=3D0x7ffcbd1a59fb,=
=20
end_time=3Dend_time@entry=3D0x0) at keyboard.c:2482
#22 0x00000000004fe100 in read_key_sequence
 =C2=A0=C2=A0=C2=A0 (keybuf=3Dkeybuf@entry=3D0x7ffcbd1a5af0, prompt=3Dpro=
mpt@entry=3D0,=20
dont_downcase_last=3Ddont_downcase_last@entry=3Dfalse,=20
can_return_switch_frame=3Dcan_return_switch_frame@entry=3Dtrue,=20
fix_current_buffer=3Dfix_current_buffer@entry=3Dtrue,=20
prevent_redisplay=3Dprevent_redisplay@entry=3Dfalse, bufsize=3D30) at=20
keyboard.c:9157
#23 0x00000000004ff764 in command_loop_1 () at lisp.h:855
#24 0x000000000056447e in internal_condition_case
 =C2=A0=C2=A0=C2=A0 (bfun=3Dbfun@entry=3D0x4ff560 <command_loop_1>,=20
handlers=3Dhandlers@entry=3D21120, hfun=3Dhfun@entry=3D0x4f62b0 <cmd_erro=
r>)
 =C2=A0=C2=A0=C2=A0 at eval.c:1336
#25 0x00000000004f0fb4 in command_loop_2 (ignore=3Dignore@entry=3D0) at=20
lisp.h:855
#26 0x00000000005643ed in internal_catch
--Type <RET> for more, q to quit, c to continue without paging--
 =C2=A0=C2=A0=C2=A0 (tag=3Dtag@entry=3D50976, func=3Dfunc@entry=3D0x4f0f9=
0 <command_loop_2>,=20
arg=3Darg@entry=3D0) at eval.c:1101
#27 0x00000000004f0f4b in command_loop () at lisp.h:855
#28 0x00000000004f5e93 in recursive_edit_1 () at keyboard.c:695
#29 0x00000000004f61d8 in Frecursive_edit () at keyboard.c:766
#30 0x00000000004182e1 in main (argc=3D<optimized out>,=20
argv=3D0x7ffcbd1a5e78) at emacs.c:1722
(gdb) cont
Continuing.
^C
Thread 1 "emacs" received signal SIGINT, Interrupt.
0x00000000005490be in lisp_align_free (block=3D<optimized out>) at=20
alloc.c:1379
1379=C2=A0=C2=A0=C2=A0 =C2=A0=C2=A0=C2=A0 =C2=A0 if (*tem >=3D (struct ab=
lock *) abase && *tem < atop)
(gdb) print abase
$1 =3D (struct ablocks *) 0x3cf3c400
(gdb) print tem
$2 =3D (struct ablock **) 0x66fe1400
(gdb) print atop
$3 =3D (struct ablock *) 0x3cf40400
(gdb) print temp
No symbol "temp" in current context.
(gdb) print *tem
$4 =3D (struct ablock *) 0x66fe7000
(gdb) cont
Continuing.
^C
Thread 1 "emacs" received signal SIGINT, Interrupt.
0x00000000005490be in lisp_align_free (block=3D<optimized out>) at=20
alloc.c:1379
1379=C2=A0=C2=A0=C2=A0 =C2=A0=C2=A0=C2=A0 =C2=A0 if (*tem >=3D (struct ab=
lock *) abase && *tem < atop)
(gdb) quit
A debugging session is active.

 =C2=A0=C2=A0=C2=A0 Inferior 1 [process 237890] will be detached.

Quit anyway? (y or n) y
Detaching from program: /home/ishikawa/repos/emacs-26.2/src/emacs,=20
process 237890
[Inferior 1 (process 237890) detached]
ishikawa@ip030:/NREF-COMM-CENTRAL/mozilla/comm$ ps axg | grep emacs
 =C2=A0237890 pts/5=C2=A0=C2=A0=C2=A0 Rl=C2=A0=C2=A0=C2=A0 53:02 /home/is=
hikawa/repos/emacs-26.2/src/emacs=20
--font fontset-24
 =C2=A0774365 pts/5=C2=A0=C2=A0=C2=A0 S+=C2=A0=C2=A0=C2=A0=C2=A0 0:00 gre=
p emacs
ishikawa@ip030:/NREF-COMM-CENTRAL/mozilla/comm$ kill -HUP 237890

[end of my memo]

[What follows is created by `report-emacs-bug'.]

In GNU Emacs 26.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 =C2=A0of 2019-07-26 built on ip030
Windowing system distributor 'The X.Org Foundation', version 11.0.1200600=
0
System Description:=C2=A0=C2=A0=C2=A0 Debian GNU/Linux bullseye/sid

Recent messages:
Wrote /tmp/ttt.txt
Auto-saving...done
Saving file /tmp/ttt.txt...
Wrote /tmp/ttt.txt
Saving file /tmp/ttt.txt...
Wrote /tmp/ttt.txt
Saving file /tmp/ttt.txt...
Wrote /tmp/ttt.txt
Saving file /tmp/ttt.txt...
Wrote /tmp/ttt.txt

Configured using:
 =C2=A0'configure REL_ALLOC=3Dno --with-x-toolkit=3Dgtk --without-xim'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD LCMS2

Important settings:
 =C2=A0 value of $LANG: ja_JP.UTF-8
 =C2=A0 value of $XMODIFIERS: @im=3Dkinput2
 =C2=A0 locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
 =C2=A0 diff-auto-refine-mode: t
 =C2=A0 shell-dirtrack-mode: t
 =C2=A0 global-whitespace-mode: t
 =C2=A0 tooltip-mode: t
 =C2=A0 global-eldoc-mode: t
 =C2=A0 electric-indent-mode: t
 =C2=A0 mouse-wheel-mode: t
 =C2=A0 tool-bar-mode: t
 =C2=A0 menu-bar-mode: t
 =C2=A0 file-name-shadow-mode: t
 =C2=A0 global-font-lock-mode: t
 =C2=A0 font-lock-mode: t
 =C2=A0 blink-cursor-mode: t
 =C2=A0 auto-composition-mode: t
 =C2=A0 auto-encryption-mode: t
 =C2=A0 auto-compression-mode: t
 =C2=A0 line-number-mode: t
 =C2=A0 auto-fill-function: do-auto-fill
 =C2=A0 transient-mark-mode: t

Load-path shadows:
/home/ishikawa/bin/org/org-pcomplete hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-pcomplete
/home/ishikawa/bin/org/ob-keys hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-keys
/home/ishikawa/bin/org/org-timer hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-timer
/home/ishikawa/bin/org/org-mhe hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-mhe
/home/ishikawa/bin/org/org-colview hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-colview
/home/ishikawa/bin/org/org-clock hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-clock
/home/ishikawa/bin/org/org hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org
/home/ishikawa/bin/org/org-element hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-element
/home/ishikawa/bin/org/ob-lilypond hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-lilypond
/home/ishikawa/bin/org/ob-ref hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-ref
/home/ishikawa/bin/org/ob-css hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-css
/home/ishikawa/bin/org/ob-matlab hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-matlab
/home/ishikawa/bin/org/org-inlinetask hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-inlinetask
/home/ishikawa/bin/org/org-mobile hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-mobile
/home/ishikawa/bin/org/ob-gnuplot hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-gnuplot
/home/ishikawa/bin/org/ob-maxima hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-maxima
/home/ishikawa/bin/org/org-bibtex hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-bibtex
/home/ishikawa/bin/org/ob-python hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-python
/home/ishikawa/bin/org/org-archive hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-archive
/home/ishikawa/bin/org/org-indent hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-indent
/home/ishikawa/bin/org/org-w3m hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-w3m
/home/ishikawa/bin/org/ob-sqlite hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-sqlite
/home/ishikawa/bin/org/org-ctags hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-ctags
/home/ishikawa/bin/org/org-macs hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-macs
/home/ishikawa/bin/org/ob-fortran hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-fortran
/home/ishikawa/bin/org/org-table hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-table
/home/ishikawa/bin/org/ob-io hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-io
/home/ishikawa/bin/org/ob-octave hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-octave
/home/ishikawa/bin/org/ob-picolisp hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-picolisp
/home/ishikawa/bin/org/ob-eval hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-eval
/home/ishikawa/bin/org/ob-calc hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-calc
/home/ishikawa/bin/org/org-docview hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-docview
/home/ishikawa/bin/org/org-mouse hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-mouse
/home/ishikawa/bin/org/org-compat hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-compat
/home/ishikawa/bin/org/ob-C hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-C
/home/ishikawa/bin/org/ob-haskell hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-haskell
/home/ishikawa/bin/org/org-info hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-info
/home/ishikawa/bin/org/ob-dot hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-dot
/home/ishikawa/bin/org/org-src hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-src
/home/ishikawa/bin/org/org-datetree hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-datetree
/home/ishikawa/bin/org/ob-sass hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-sass
/home/ishikawa/bin/org/ob-tangle hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-tangle
/home/ishikawa/bin/org/ob-table hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-table
/home/ishikawa/bin/org/ob-org hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-org
/home/ishikawa/bin/org/org-irc hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-irc
/home/ishikawa/bin/org/org-bbdb hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-bbdb
/home/ishikawa/bin/org/org-plot hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-plot
/home/ishikawa/bin/org/org-loaddefs hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-loaddefs
/home/ishikawa/bin/org/org-capture hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-capture
/home/ishikawa/bin/org/ob-ditaa hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-ditaa
/home/ishikawa/bin/org/ob-ocaml hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-ocaml
/home/ishikawa/bin/org/ob-plantuml hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-plantuml
/home/ishikawa/bin/org/org-feed hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-feed
/home/ishikawa/bin/org/ob-awk hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-awk
/home/ishikawa/bin/org/ob-latex hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-latex
/home/ishikawa/bin/org/org-list hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-list
/home/ishikawa/bin/org/org-habit hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-habit
/home/ishikawa/bin/org/org-faces hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-faces
/home/ishikawa/bin/org/ob-scheme hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-scheme
/home/ishikawa/bin/org/org-attach hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-attach
/home/ishikawa/bin/org/org-install hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-install
/home/ishikawa/bin/org/org-agenda hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-agenda
/home/ishikawa/bin/org/ob-clojure hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-clojure
/home/ishikawa/bin/org/ob-mscgen hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-mscgen
/home/ishikawa/bin/org/ob-screen hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-screen
/home/ishikawa/bin/org/org-eshell hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-eshell
/home/ishikawa/bin/org/org-gnus hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-gnus
/home/ishikawa/bin/org/ob hides /home/ishikawa/repos/emacs-26.2/lisp/org/=
ob
/home/ishikawa/bin/org/org-footnote hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-footnote
/home/ishikawa/bin/org/ob-R hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-R
/home/ishikawa/bin/org/ob-exp hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-exp
/home/ishikawa/bin/org/org-id hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-id
/home/ishikawa/bin/org/ob-emacs-lisp hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-emacs-lisp
/home/ishikawa/bin/org/ob-java hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-java
/home/ishikawa/bin/org/org-crypt hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-crypt
/home/ishikawa/bin/org/org-protocol hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-protocol
/home/ishikawa/bin/org/ob-lisp hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-lisp
/home/ishikawa/bin/org/ob-asymptote hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-asymptote
/home/ishikawa/bin/org/ob-lob hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-lob
/home/ishikawa/bin/org/ob-sql hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-sql
/home/ishikawa/bin/org/ob-ledger hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-ledger
/home/ishikawa/bin/org/ob-shen hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-shen
/home/ishikawa/bin/org/ob-ruby hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-ruby
/home/ishikawa/bin/org/ob-js hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-js
/home/ishikawa/bin/org/org-entities hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-entities
/home/ishikawa/bin/org/ob-perl hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-perl
/home/ishikawa/bin/org/ob-comint hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/ob-comint
/home/ishikawa/bin/org/org-rmail hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-rmail
/home/ishikawa/bin/org/org-version hides=20
/home/ishikawa/repos/emacs-26.2/lisp/org/org-version
/home/ishikawa/repos/emacs-26.2/lisp/textmodes/ispell hides=20
/home/ishikawa/bin/ispell
/home/ishikawa/.emacs.d/elpa/japanese-holidays-20190317.1220/japanese-hol=
idays=20
hides /home/ishikawa/bin/japanese-holidays
/home/ishikawa/repos/emacs-26.2/lisp/tempo hides /home/ishikawa/bin/tempo
/home/ishikawa/repos/emacs-26.2/lisp/whitespace hides=20
/home/ishikawa/bin/whitespace
/home/ishikawa/.emacs.d/elpa/igrep-20130824.507/igrep hides=20
/home/ishikawa/bin/igrep

Features:
(shadow sort mail-extr warnings help-mode apropos info igrep grep
compile diff-mode easy-mmode misearch multi-isearch shell pcomplete
comint ring ebuff-menu vc-dispatcher vc-hg cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs map
elec-pair google-c-style ansi-color disp-table whitespace finder-inf
package url-handlers ffap thingatpt url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs url-vars its/hira egg egg-com egg-cnv
egg-mlh menudiag its its-keydef egg-edep server emacsbug message rmc
puny seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils lpr autoinsert time-date mule-util japan-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 12971824 322608)
 =C2=A0(symbols 48 33597 2)
 =C2=A0(miscs 40 2138 2822)
 =C2=A0(strings 32 98018 15566)
 =C2=A0(string-bytes 1 2744864)
 =C2=A0(vectors 16 42363)
 =C2=A0(vector-slots 8 1008055 81600)
 =C2=A0(floats 8 61 723)
 =C2=A0(intervals 56 1156261 2635)
 =C2=A0(buffers 992 40))





Acknowledgement sent to chiaki-ishikawa-thunderbird-account <chiaki.ishikawa@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39413; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Feb 2020 17:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.